"use client"
// hoc/withAuth.tsx
import { useRouter } from 'next/navigation';
import { useEffect } from 'react';

const AuthGuard = (WrappedComponent: any) => {
  const AuthGuardComponent = (props: any) => {
    const router = useRouter();

    useEffect(() => {
      const token = localStorage.getItem('token');
      if (!token) {
        router.push('/log-in');
      }
    }, [router]);

    return <WrappedComponent {...props} />;
  };

  // Set display name for the component
  AuthGuardComponent.displayName = `AuthGuard(${getDisplayName(WrappedComponent)})`;

  return AuthGuardComponent;
};

export default AuthGuard;

// Helper function to get the display name of a component
function getDisplayName(WrappedComponent: any) {
  return WrappedComponent.displayName || WrappedComponent.name || 'Component';
}
